Package be.fgov.ehealth.certra.protocol.v2

# Class GenerateContractResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.certra.protocol.v2.GenerateContractResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GenerateContractResponse extends StatusResponseType implements Serializable
Contains the personalized eHealth contract that can be used as input for the generateCertificate operation. Web service clients are required to show the HTML content of the contract to the end user before asking them to digitally sign the contents.

Java class for GenerateContractResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenerateContractResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="Contract" type="{urn:be:fgov:ehealth:certra:core:v2}ContractType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateContractResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractType`
  `getContract()`
  Server generated contract that must be used as part of the eHealth CSR request.
  `void`
  `setContract(ContractType value)`
  Sets the value of the contract property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenerateContractResponse

    public GenerateContractResponse()

- ## Method Details

  - ### getContract

    public ContractType getContract()
    Server generated contract that must be used as part of the eHealth CSR request.
    Returns:
      possible object is `ContractType`

  - ### setContract

    public void setContract(ContractType value)
    Sets the value of the contract property.
    Parameters:
      `value` - allowed object is `ContractType`
    See Also:
      - `getContract()`